/* =====================================
   BANNER
===================================== */
.banner{
    height:550px;
    background-image:url("../dung-chung/hinh-anh/banner-home.jpg");
    background-size:cover;
    background-position:center;
    display:flex;
    align-items:flex-start;
}
.banner-content{
    width:420px;
    margin-top:25px;
    margin-left:45px;
}
.banner h2{
    font-size:46px;
    font-weight:600;
    line-height:1.1;
    color:white;
    margin:0 0 5px 0;
}
.banner p{
    font-size:22px;
    font-style: italic;
    line-height:1.2;
    color:white;
    margin-top:0px;
    margin-bottom:35px;
}
.btn{
    display:inline-block;
    background:#004D40;
    color:white;
    text-decoration:none;
    padding:15px 25px;
    border: 2px solid white;
    box-shadow: 0 4px 12px rgba(0,0,0,0.35);
    border-radius:15px;
    font-size:20px;
    font-weight:bold;
    margin-top:250px;
    margin-left:-20px;
}
.btn:hover{
    background:#02A116;
}
.banner-line{
    width:220px;
    height:4px;
    background:white;
    margin-top:0px;
    margin-bottom:5px;
}
/* =====================================
   ABOUT
===================================== */
.about{
    display:flex;
    align-items:center;
    gap:50px;
    margin:80px 0 15px;
}

.about-image{
    flex:1.2;
}
.about-image img{
    width:100%;
    border-radius:10px;
    box-shadow:0 8px 25px rgba(0,0,0,0.15);
}

.about-text{
    flex:1;
}

.about-text h2{
    color:#1B5E20;
    font-size:36px;
    margin-bottom:10px;
}
.title-line{
    width:180px;
    height:4px;
    background:#2E7D32;
    margin:15px 0 10px 0;
    border-radius:2px;
}
.about-text p{
    font-size:20px;
    line-height:1.7;
    text-align:justify;
    margin-top:20px;
    margin-bottom:30px;
}
.about-text ul{
    list-style:none;
    padding-left:0;
}
.about-text li{
    color:#2E7D32;
    font-weight:bold;
    font-size:24px;
    line-height:1.8;
    margin-right:10px;
}
/* =====================================
   ADVANTAGES
===================================== */
.advantages{
    padding:15px 0 15px;
}
.advantages h2{
    text-align:center;
    font-size:36px;
    color:#1B5E20;
    margin-bottom:60px;
}
.adv-grid{
    display:flex;
    justify-content:space-between;
    gap:30px;
}
.adv-box{
    flex:1;
    background:white;
    border-radius:18px;
    padding:28px;
    text-align:center;
    box-shadow:0 8px 25px rgba(0,0,0,0.10);
    transition:0.3s;
}
.adv-box:hover{
    transform:translateY(-8px);
}
.icon{
    width:70px;
    height:70px;
    margin:auto;
    margin-bottom:20px;
    border-radius:50%;
    background:#2E7D32;
    color:white;
    font-size:36px;
    display:flex;
    justify-content:center;
    align-items:center;
}
.adv-box h3{
    color:#1B5E20;
    font-size:26px;
    margin-bottom:18px;
}
.adv-box p{
    line-height:1.7;
    font-size:18px;
    color:#444;
}
/* =====================================
   PARTNER
===================================== */
.partner{
    padding:40px 0px 15px;
    text-align:center;
    background:#ffffff;
}

.partner h2{
    color:#2E7D32;
    font-size:36px;
    margin-bottom:20px;
}

.partner p{
    color:#555;
    font-size:18px;
    margin-bottom:40px;
}
.partner-logo{
    width:220px;
    height:auto;
    margin-bottom:0px;
    cursor:pointer;
    transition:transform 0.3s ease;
}
.partner-name{
    margin-top:0;
    font-size:18px;
    color:#333;
    cursor:pointer;
    transition:color 0.3s ease;
}
.partner-link{
    display:inline-block;
    text-decoration:none;
}
.partner-link:hover .partner-logo{
    transform:scale(1.1);
}
.partner-link:hover .partner-name{
    color:#2E7D32;
}
/* =====================================
   CERTIFICATE
===================================== */
.certificates{
    padding:15px 0px 15px;
    text-align:center;
}

.certificates h2{
    font-size:36px;
    color:#2E7D32;
    margin-bottom:20px;
}

.certificate-intro{
    max-width:700px;
    margin:0 auto 50px;
    font-size:18px;
    color:#555;
    line-height:1.7;
}

.certificate-list{
    display:flex;
    justify-content:center;
    gap:40px;
    flex-wrap:wrap;
}

.certificate-card{
    width:240px;
    background:#fff;
    border-radius:15px;
    padding:35px;
    box-shadow:0 6px 20px rgba(0,0,0,0.08);
    transition:0.3s;
}

.certificate-card:hover{
    transform:translateY(-8px);
}

.certificate-card img{
    width:140px;
    height:auto;
    margin-bottom:20px;
}

.certificate-card h3{
    color:#2E7D32;
    margin-bottom:15px;
}

.certificate-card p{
    line-height:1.7;
    color:#555;
}

/* ===== IMAGE MODAL ===== */

.image-modal{
    display:none;
    position:fixed;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,.85);
    justify-content:center;
    align-items:center;
    z-index:9999;
    cursor:pointer;
}

.image-modal img{
    max-width:90%;
    max-height:90%;
    border-radius:8px;
    box-shadow:0 0 30px rgba(255,255,255,.3);
    cursor:default;
}

.zoom-image{
    cursor:pointer;
    transition:0.3s;
}

.zoom-image:hover{
    transform:scale(1.05);
}

.fsc-logo{
    width:15px;
    height:auto;
    margin: 0px auto 0px;
    display:block;
}

/* =====================================
   MOBILE
===================================== */

@media (max-width:768px){
    /* ---------- Banner ---------- */
    .banner{
        height:420px;
        background-position:center;
        align-items:flex-start;
    }
    .banner-content{
        width:100%;
        margin:25px 20px 0;
    }
    .banner h2{
        font-size:28px;
        line-height:1.15;
    }
    .banner-line{
        width:140px;
    }
    .banner p{
        font-size:18px;
        margin-bottom:20px;
    }
    .btn{
        margin-top:120px;
        margin-left:0;
        padding:12px 20px;
        font-size:18px;
    }
    /* ---------- About ---------- */
    .about{
        flex-direction:column;
        gap:25px;
        margin:40px 0;
    }
    .about-text h2{
        font-size:28px;
        text-align:center;
    }
    .title-line{
        margin:15px auto;
    }
    .about-text p{
        font-size:18px;
    }
    .about-text li{
        font-size:20px;
    }
    /* ---------- Advantages ---------- */
    .advantages h2{
        font-size:28px;
        margin-bottom:35px;
    }
    .adv-grid{
        flex-direction:column;
    }
    .adv-box{
        padding:22px;
    }
    .adv-box h3{
        font-size:24px;
    }
    /* ---------- Partner ---------- */
    .partner h2{
        font-size:28px;
    }
    .partner-logo{
        width:170px;
    }
    /* ---------- Certificates ---------- */
    .certificates h2{
        font-size:28px;
    }
    .certificate-intro{
        margin-bottom:30px;
        font-size:17px;
    }
    .certificate-list{
        gap:25px;
    }
    .certificate-card{
        width:100%;
        max-width:260px;
        padding:25px;
    }
    .certificate-card img{
        width:120px;
    }
}